---
title: CSSNumericValue.equals()
slug: Web/API/CSSNumericValue/equals
tags:
  - API
  - CSS Typed Object Model API
  - CSSNumericValue
  - Experimental
  - Houdini
  - Method
  - Reference
  - equals()
---
<div>{{draft}}{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>equals()</code></strong> method of the {{domxref("CSSNumericValue")}} interface returns a boolean indicating whether the passed value are strictly equal. To return a value of <code>true</code>, all passed values must be of the same type and value and must be in the same order. This allows structural equality to be tested quickly.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var boolean = CSSNumericValue.equals(number);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>number</dt>
 <dd>Either a {{jsxref('Number')}} or a {{domxref('CSSNumericValue')}}.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref('Boolean')}}.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>As stated earlier, all passed values must be of the same type and value and must be in the same order. Some of the following examples illustrate what happens when they are not.</p>

<pre class="brush: js">let cssMathSum = new CSSMathSum(CSS.px(1), CSS.px(2));
let matchingCssMathSum = new CSSMathSum(CSS.px(1), CSS.px(2));
// Prints true
console.log(cssMathSum.equals(matchingCssMathSum));

let otherCssMathSum = CSSMathSum(CSS.px(2), CSS.px(1));
// Prints false
console.log(cssMathSum.equals(otherCssMathSum));

// Also prints false
console.log(CSS.cm("1").equal(CSS.in("0.393701")));</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssnumericvalue-equals','equals')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSNumericValue.equals")}}</p>
